### Hierarchy

- UIRouterPlugin
  - LocationPlugin

## Index

### Properties

- configuration
- name
- service

### Methods

- dispose

## Properties

configuration: LocationConfig

- Defined in vanilla/interface.ts:12

name: string

Inherited from UIRouterPlugin.name

- Defined in interface.ts:111

service: LocationServices

- Defined in vanilla/interface.ts:11

## Methods

- dispose(router?: UIRouter): any

- Instructs the Disposable to clean up any resources

- Instructs the Disposable to clean up any resources

  #### Parameters

  - ##### router: Optional UIRouter

  #### Returns any

  Inherited from Disposable.dispose

  - Defined in interface.ts:123

Generated using TypeDoc